import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-tenants',
  templateUrl: './tenants.page.html',
  styleUrls: ['./tenants.page.scss'],
})
export class TenantsPage implements OnInit {
  tenants = [
    'https://www2.stanzadelcittadino.it/bundles/app/images/logo-provincia-autonoma-di-trento.png',
    'https://download.stanzadelcittadino.it/comune-di-albiano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-aldeno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-altavalle/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-altopiano-della-vigolana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-amblar-don/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-andalo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-arco/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-avio/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-baselga-di-pine/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-bedollo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-besenello/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-bieno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-bleggio-superiore/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-bocenago/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-bondone/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-borgo-chiese/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-borgo-danaunia/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-borgo-lares/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-borgo-valsugana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-brentonico/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-bresimo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-caderzone/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-calceranica-al-lago/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-caldes/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-caldonazzo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-calliano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-campitello-di-fassa/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-campodenno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-canal-san-bovo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-canazei/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-capriana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-carisolo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-carzano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-castel-condino/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-castel-ivano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-castello-tesino/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-castello-molina-di-fiemme/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-castelnuovo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cavalese/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cavareno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cavedago/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cavedine/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cavizzana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cembra-lisignago/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cimone/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cinte-tesino/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cis/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-civezzano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-cles/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-comano-terme/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-commezzadura/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-conta/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-croviana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-dambel/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-denno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-dimaro-folgarida/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-drena/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-dro/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-fai-della-paganella/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-fiave/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-fierozzo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-folgaria/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-fornace/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-frassilongo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-garniga-terme/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-giovo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-giustino/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-grigno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-imer/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-isera/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-lavarone/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-lavis/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ledro/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-levico-terme/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-livo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-lona-lases/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-luserna/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-madruzzo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-male/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-massimeno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-mazzin/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-mezzana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-mezzano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-mezzocorona/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-mezzolombardo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-moena/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-molveno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-mori/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-nago-torbole/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-nogaredo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-nomi/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-novaledo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-novella/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ospedaletto/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ossana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-palu-del-fersina/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-panchia/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-peio/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-pellizzano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-pelugo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-pergine/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-pieve-di-bono-prezzo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-pieve-tesino/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-pinzolo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-pomarolo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-porte-di-rendena/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-predaia/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-predazzo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-primiero-san-martino-di-castrozza/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-rabbi/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-riva-del-garda/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-romeno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-roncegno-terme/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ronchi-valsugana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ronzo-chienis/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ronzone/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-rovere-della-luna/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-rovereto/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ruffre-mendola/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-rumo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-sagron-mis/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-samone/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-san-giovanni-di-fassa-sen-jan/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-san-lorenzo-dorsino/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-san-michele-alladige/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-santorsola-terme/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-sanzeno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-sarnonico/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-scurelle/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-segonzano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-sella-giudicarie/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-sfruz/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-soraga-di-fassa/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-sover/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-spiazzo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-spormaggiore/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-sporminore/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-stenico/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-storo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-strembo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-telve/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-telve-di-sopra/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-tenna/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-tenno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-terragnolo/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-terre-dadige/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-terzolas/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-tesero/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-tione-di-trento/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ton/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-torcegno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-trambileno/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-tre-ville/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-trento/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-valdaone/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-valfloriana/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-vallarsa/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-vallelaghi/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-vermiglio/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-vignola-falesina/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-villa-lagarina/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ville-danaunia/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ville-di-fiemme/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-volano/logo.png',
    'https://download.stanzadelcittadino.it/comune-di-ziano-di-fiemme/logo.png',
  ];
  private initializeItems: string[];
  constructor() {}

  ngOnInit() {}

  filterList($event: any) {
    this.initializeItems = this.tenants;
    const searchTerm = $event.srcElement.value;

    if (!searchTerm) {
      return;
    }

    this.tenants = this.tenants.filter((currentFood) => {
      if (currentFood && searchTerm) {
        return (
          currentFood.toLowerCase().indexOf(searchTerm.toLowerCase()) > -1 ||
          currentFood.toLowerCase().indexOf(searchTerm.toLowerCase()) > -1
        );
      }
    });
  }
}
